Personal tools
You are here: Home Forum Install & build Source Instal 6.5.0 Salomè Ubuntu Precise - CAN NOT TAR qt-4.6.3

Source Instal 6.5.0 Salomè Ubuntu Precise - CAN NOT TAR qt-4.6.3

Up to Install & build

Source Instal 6.5.0 Salomè Ubuntu Precise - CAN NOT TAR qt-4.6.3

Posted by Joni-Pekka Kurronen at September 14. 2012

hi,

Salomé source distribution has

broken file's  or  tar command of

ubuntu work's difrently!!!

 

joni

 

====

/mpi4/InstallWizard_6.5.0_Debian_6.0_64bit/Products/SOURCES/qt-4.6.3.tar.gz:

gzip: stdin: invalid compressed data--format violated
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

/mpi4/InstallWizard_6.5.0_Debian_6.0_64bit/config_files -> tar xfz /mpi4/InstallWizard_6.5.0_Debian_6.0_64bit/Products/SOURCES/PyQt-4.9.1.tar.gz -C /mpi4/salome/salome_6.5.0

tar: Skipping to next header

gzip: stdin: invalid compressed data--crc error

gzip: stdin: invalid compressed data--length error

tar: Child returned status 1

tar: Error is not recoverable: exiting now

"gcc" -o bin.linuxx86_64.debug/b2 "-DOPT_HEADER_CACHE_EXT" "-DOPT_GRAPH_DEBUG_EXT" "-DOPT_SEMAPHORE" "-DOPT_AT_FILES" "-DOPT_DEBUG_PROFILE" "-DOPT_FIX_TARGET_VARIABLES_EXT" "-DOPT_IMPROVED_PATIENCE_EXT" "-DYYSTACKSIZE=5000" "-DHAVE_PYTHON" "-DBJAM_NEWSTR_NO_ALLOCATE" "-pedantic" "-fno-strict-aliasing" "-g" "-O0" "-fno-inline" "-I/mpi4/salome/salome_6.5.0/Python-2.6.6/include/python2.6" "-Wno-long-long" "-L/mpi4/salome/salome_6.5.0/Python-2.6.6/lib" "-lpython2.6" "command.c" "compile.c" "debug.c" "expand.c" "glob.c" "hash.c" "hcache.c" "headers.c" "hdrmacro.c" "jam.c" "jambase.c" "jamgram.c" "lists.c" "make.c" "make1.c" "mem.c" "newstr.c" "option.c" "output.c" "parse.c" "regexp.c" "rules.c" "scan.c" "search.c" "subst.c" "w32_getreg.c" "timestamp.c" "variable.c" "modules.c" "strings.c" "filesys.c" "builtins.c" "pwd.c" "class.c" "native.c" "md5.c" "modules/set.c" "modules/path.c" "modules/regex.c" "modules/property-set.c" "modules/sequence.c" "modules/order.c" "execunix.c" "fileunix.c" "pathunix.c"

...failed [COMPILE] bin.linuxx86_64.debug/b2...

...skipped bjam for lack of b2...

...failed updating 1 target...

...skipped 1 target...

expand.c: In function ‘var_expand’:

expand.c:85:9: warning: field precision specifier ‘.*’ expects argument of type ‘int’, but argument 2 has type ‘long int’ [-Wformat]

 

 

 

Re: Source Instal 6.5.0 Salomè Ubuntu Precise - CAN NOT TAR qt-4.6.3

Posted by Vadim SANDLER at September 14. 2012

Hello Joni,

Can you please check that SALOME InstallWizard archive is properly downloaded - probably it is incomplete? To do this, you can download the md5 checksum file, corresponding to the proper InstallWizard archive, from download page, put it to the same place as archive itself and use md5sum program as follows:

md5sump --check InstallWizard_6.5.0_Debian_6.0_64bit.tar.gz.md5

It should print OK. Otherwise, you'll probably need to re-download archive from site.

Regards,
Vadim.

Re: Source Instal 6.5.0 Salomè Ubuntu Precise - CAN NOT TAR qt-4.6.3

Posted by Joni-Pekka Kurronen at September 14. 2012

 

hi,

 

I did that before writeing about!

 

joni

 

Previously Vadim SANDLER wrote:

Hello Joni,

Can you please check that SALOME InstallWizard archive is properly downloaded - probably it is incomplete? To do this, you can download the md5 checksum file, corresponding to the proper InstallWizard archive, from download page, put it to the same place as archive itself and use md5sum program as follows:

md5sump --check InstallWizard_6.5.0_Debian_6.0_64bit.tar.gz.md5

It should print OK. Otherwise, you'll probably need to re-download archive from site.

Regards,
Vadim.

 

Re: Source Instal 6.5.0 Salomè Ubuntu Precise - CAN NOT TAR qt-4.6.3

Posted by Joni-Pekka Kurronen at October 03. 2012

hi,

 

TAR problem solved, I was useing two ssd drives, OCZ Petrol as RAID0,.. this SSD DOSE NOT

WORK CORRECTLY AND CAUSED this error!!! Worst is that I could not catch any error message,..

.. SSD just work's incorrectly.

 

NOW I can compile binarye'sa and get better Salomé version than BINARY Salomé Meca which has

time to time some errors.

 

Compile from sources by useing GUI generate's following error's , see attached file.

 

IF SOME ONE COULD GIVE WORKING RECEPY TO COMPILE FROM SOURCES

AT UBUNTU!!!!

 

My installations note's are at here:

https://sites.google.com/site/jpsdatareviewstheboy007/ubuntu-lts-12-4-companion-whit-ltsp-mpich2-elmer-openfoam

 

 

 

 

 

 

 

 

Attachments
Powered by Ploneboard
Document Actions